Bug 1497257 - Allow disabling dependency on cmake-filesystem
Summary: Allow disabling dependency on cmake-filesystem
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: dbus
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Colin Walters
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-09-29 15:18 UTC by Petr Pisar
Modified: 2017-10-10 19:28 UTC (History)
11 users (show)

Fixed In Version: dbus-1.11.20-1.fc27
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-10-10 19:28:06 UTC
Type: Bug


Attachments (Terms of Use)
Proposed change (1.79 KB, patch)
2017-09-29 15:18 UTC, Petr Pisar
no flags Details | Diff

Description Petr Pisar 2017-09-29 15:18:30 UTC
Created attachment 1332457 [details]
Proposed change

I try to polish Platform module <https://github.com/fedora-modularity/hp/blob/master/README.md> for the modular Fedora and I found a problem in dbus-devel package.

Platform module does not provide cmake, thus dbus-devel cannot be installed
for building applications against dbus because currently there is a broken dependency from dbus-devel on cmake-filesystem.
    
The attached patch adds a build-time condition that allows removing the
dependency on cmake-filesystem when building for a module while it does not change anything when building for normal Fedora.

If you have no objections I will apply it.

Comment 1 Colin Walters 2017-10-02 13:28:46 UTC
I'd submit patches as PRs on pagure; bugzilla is terrible for code review.

Rather than omitting the dependency, shouldn't we just not ship the cmake rules at all in this situatoin?

Comment 2 Petr Pisar 2017-10-02 14:15:23 UTC
It's also possible. But then cmake-driven package won't be able to build against dbus. On the other hand it would be cleaner. 

I will rework it for disabling the cmake rules. Then people maintaining Platform can freely decide whether to disable the support completely or keep it there and fix it on cmake packaging side.

Comment 4 Fedora Update System 2017-10-04 09:18:06 UTC
dbus-1.11.20-1.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2017-0d8f0e29e4

Comment 5 David King 2017-10-04 09:20:06 UTC
I went for a slightly different approach of simply removing the cmake files if cmake support is disabled. If you want to make the cmake support optional in the build system, I suggest submitting your patch upstream: https://bugs.freedesktop.org/enter_bug.cgi?product=dbus

Comment 6 Fedora Update System 2017-10-06 04:26:24 UTC
dbus-1.11.20-1.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-0d8f0e29e4

Comment 7 Fedora Update System 2017-10-10 19:28:06 UTC
dbus-1.11.20-1.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.